System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

Problems installing PSP 8.20 on DL580 G5 with RHEL 5.3

Neil W. Garside
Occasional Contributor

Problems installing PSP 8.20 on DL580 G5 with RHEL 5.3

Hello,

I'm trying to install the ProLiant Support Pack 8.20 on an hp ProLiant DL580 G5 which has Red Hat Enterprise Linux v5.3 x86_64 installed.

Running "./install820.sh -y -nui" results in the following response:

*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*
[root@ikuklodb1 linux]# ./install820.sh -y -nui

The HP ProLiant Linux Deployment Utility requires source code for the 2.6.18-120.el5 kernel be available for building and installing certain drivers included in this bundle.
The directory, /lib/modules/2.6.18-120.el5/build, is either missing, or is empty.

Kernel source code may also be made available via NFS from a remote system.

Do you wish to continue? [Y] N

Please install the RPM package for the 2.6.18-120.el5 kernel source code, and restart the HP ProLiant Linux Deployment Utility.

[root@ikuklodb1 linux]#
*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*=*

The /lib/modules/2.6.18-120.el5/build directory referenced in the error does exist, but the 'build' folder is a symlink to /usr/src/kernels/2.6.18-120.el5-x86_64 which does not exist.

Being new to Linux, I'm not sure what to do here! Can anyone assist?

/Neil
1 REPLY
RReyes
Occasional Visitor

Re: Problems installing PSP 8.20 on DL580 G5 with RHEL 5.3

Ran into the same problem with the qlogic drivers, solved buy running #yum install kernel-devel or #yum upgrade kernel-devel